<?php

$dir = dirname(__FILE__);
//if ( preg_match("/WIN/", PHP_OS ) > 0 ) {
//    // Windows
//    $mainDir = preg_replace("/plugins.".DIRECTORY_SEPARATOR.".nmidCreatePDF/","",$dir);
//} else {
    // Other Os
    $mainDir = preg_replace("@plugins" . DIRECTORY_SEPARATOR . "nmidCreatePDF@","",$dir);
//}
chdir ($dir);

require_once('functions.php');  // Support functions
require_once('reportEngine.php');  // Report Engine

$licenseExpiry = '';
$timeLeft = getLicenseExpiry();
if ( $timeLeft > 0 ) {
    $licenseExpiry = date("D M j G:i:s T Y",$timeLeft);
} else {
    $licenseExpiry = "never";
}

$mainUrl = $_SERVER['PHP_SELF'];
$mainUrl = preg_replace("/plugins\/nmidCreatePDF\/debug.php/","",$mainUrl);

$d_tmpexists = "<font color=red>not existing</font>";
$d_tmpwriteable = "<font color=red>not writeable</font>";
if ( is_dir($dir.DIRECTORY_SEPARATOR .'tmp') ) {
    $d_tmpexists = "<font color=darkgreen>exists</font>";
    if ( is_writeable($dir.DIRECTORY_SEPARATOR .'tmp') ) {
        $d_tmpwriteable = "<font color=darkgreen>exists</font>";
    }
}

$m_mbstring = "<font color=red>disabled</font>";
if ( extension_loaded  ( 'mbstring' ) ) {
    $m_mbstring = "<font color=darkgreen>enabled</font>";
}

$m_gd = "<font color=red>disabled</font>";
if ( extension_loaded  ( 'gd' ) ) {
    $m_gd = "<font color=darkgreen>enabled</font>";
}

$m_sg = "<font color=red>disabled</font>";
if ( extension_loaded  ( 'SourceGuardian' ) ) {
    $m_sg = "<font color=darkgreen>enabled</font>";
}

$m_zip = "<font color=red>disabled</font>";
if ( extension_loaded  ( 'zip' ) ) {
    $m_zip = "<font color=darkgreen>enabled</font>";
}

$m_soap = "<font color=red>disabled</font>";
if ( extension_loaded  ( 'soap' ) ) {
    $m_soap = "<font color=darkgreen>enabled</font>";
}


echo "<h2>nmidCreatePDF Debug Page</h2><br>\n<hr>\n";
echo "<table width=1024>\n";
echo "<tr><td width=30%>Dir:</td><td><b>".$dir."</b></td></tr>\n";
echo "<tr><td>Main Dir: </td><td><b>".$mainDir."</b></td></tr>\n";
echo "<tr><td>PHP_SELF: </td><td><b>".$_SERVER['PHP_SELF']."</b></td></tr>\n";
echo "<tr><td>Cacti URL: </td><td><b>".$mainUrl."</b></td></tr>\n";
echo "<tr><td>Edition: </td><td><b>".EDITION."</b></td></tr>\n";
echo "<tr><td>License Expiry: </td><td><b>".$licenseExpiry."</b></td></tr>\n";
echo "<tr><td>Operating System: </td><td><b>".php_uname()."</b></td></tr>\n";

echo "<tr><td colspan=2><hr></td></tr>\n";
echo "<tr><td colspan=2><i>File/Directory Settings:</i></td></tr>\n";
if ( preg_match("/WIN/", PHP_OS ) > 0 ) {
    echo "<tr><td>tmp directory</td><td>".$dir.'\tmp'."</td></tr>\n";
}
else {
    echo "<tr><td>tmp directory</td><td>".$dir.'/tmp'."</td></tr>\n";
}
echo "<tr><td>tmp directory exists</td><td>".$d_tmpexists."</td></tr>\n";
echo "<tr><td>tmp directory writeable</td><td>".$d_tmpwriteable."</td></tr>\n";

echo "<tr><td colspan=2><hr></td></tr>\n";
echo "<tr><td colspan=2><i>Loaded PHP Modules:</i></td></tr>\n";
echo "<tr><td>mbstring</td><td><b>".$m_mbstring."</b></td></tr>\n";
echo "<tr><td>gd</td><td><b>".$m_gd."</b></td></tr>\n";
echo "<tr><td>SourceGuardian</td><td><b>".$m_sg."</b></td></tr>\n";
echo "<tr><td>zip</td><td><b>".$m_zip."</b></td></tr>\n";
echo "<tr><td>soap</td><td><b>".$m_soap."</b></td></tr>\n";

echo "<tr><td colspan=2><hr></td></tr>\n";
echo "<tr><td colspan=2><i>Installed nmidCreatePDF Extenstions:</i></td></tr>\n";
if ( preg_match("/WIN/", PHP_OS ) > 0 ) {
    if ( file_exists($dir.DIRECTORY_SEPARATOR."parallelGraphRetriever.exe") ) {
        echo "<tr><td>File parallelGraphRetriever.exe</td><td><font color=darkgreen>exists</font>&nbsp;&nbsp( ".$dir.DIRECTORY_SEPARATOR."parallelGraphRetriever.exe  )</td></tr>\n";
    }
    else {
        echo "<tr><td>File parallelGraphRetriever.exe</td><td><font color=red><b>does not</b> exists</font>&nbsp;&nbsp( ".$dir.DIRECTORY_SEPARATOR."parallelGraphRetriever.exe  )</td></tr>\n";
    }
} else {
    if ( file_exists($dir.DIRECTORY_SEPARATOR."parallelGraphRetriever") ) {
        echo "<tr><td>File parallelGraphRetriever</td><td><font color=darkgreen>exists</font>&nbsp;&nbsp( ".$dir.DIRECTORY_SEPARATOR."parallelGraphRetriever  )</td></tr>\n";
    }
    else {
        echo "<tr><td>File parallelGraphRetriever</td><td><font color=red><b>does not</b> exists</font>&nbsp;&nbsp( ".$dir.DIRECTORY_SEPARATOR."parallelGraphRetriever  )</td></tr>\n";
    }
} 

if ( preg_match("/WIN/", PHP_OS ) > 0 ) {
    if ( file_exists($dir.DIRECTORY_SEPARATOR."getSmokePingPath.exe") ) {
        echo "<tr><td>File getSmokePingPath.exe</td><td><font color=darkgreen>exists</font>&nbsp;&nbsp( ".$dir.DIRECTORY_SEPARATOR."getSmokePingPath.exe  )</td></tr>\n";
    }
    else {
        echo "<tr><td>File getSmokePingPath.exe</td><td><font color=red><b>does not</b> exists</font>&nbsp;&nbsp( ".$dir.DIRECTORY_SEPARATOR."getSmokePingPath.exe  )</td></tr>\n";
    }
} else {
    if ( file_exists($dir.DIRECTORY_SEPARATOR."getSmokePingPath") ) {
        echo "<tr><td>File getSmokePingPath</td><td><font color=darkgreen>exists</font>&nbsp;&nbsp( ".$dir.DIRECTORY_SEPARATOR."getSmokePingPath  )</td></tr>\n";
    }
    else {
        echo "<tr><td>File getSmokePingPath</td><td><font color=red><b>does not</b> exists</font>&nbsp;&nbsp( ".$dir.DIRECTORY_SEPARATOR."getSmokePingPath  )</td></tr>\n";
    }
}
echo "</table>\n";
?>
